/**
 * @brief Common header file for VAM/RTL manipulator unit tests.
 */

#ifndef __VAML_TEST_H
#define __VAML_TEST_H

#include "vam.h"
#include "vamrtl.h"
#include "rtlmanip.h"
#include "language.h"
#include <iostream>
#include <fstream>
#include <iomanip>
#include <typeinfo>
#include <string>
#include <boost/algorithm/string.hpp> // replace_all

using namespace std;
using namespace vam;

extern int debugflag;

inline string strip(string s)
{
    boost::replace_all(s, " ", "");
    boost::replace_all(s, "\t", "");
    boost::replace_all(s, "\n", "");
    return s;
}

#endif
